Subject: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Apr 2025 10:36:53 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 19 Apr 2025 09:03:24 +0800
> 
> On Fri 18 Apr 2025 at 02:18pm +03, Eli Zaretskii wrote:
> 
> > (And let me say up front that no matter what we do, someone is bound
> > to come back complaining.  So my personal recommendation is to leave
> > this alone and let users get used to this, even if it will take some
> > more moons.  We have bigger fish to fry, anyway.)
> 
> Regardless of the particular bug, I think that displaying warnings
> ergonomically affects users more than it first seems to us as
> developers.
> 
> Whenever Emacs's warnings behaviour changes, Debian gets a flurry of bug
> reports.  Even just warnings from Emacs running in batch mode during apt
> installations, i.e. among piles of other terminal output, on the
> as-yet-unreleased Debian version 13, got us four identical bug
> reports.[1]

My point is that if we keep changing this evidently confusing stuff,
we don't let users get used to it.  Keeping it unchanged will allow
them to get used, event if it takes time.  Changes are good if we have
a clear winner: something that could never cause any confusion nor
arguments as to what it means and how to use it.  This is not that
case, AFAICT.  When choosing from a set of similarly confusing
choices, it is best not to make any change, letting users adapt.

I see no reason for a panic given the bug reports.  Just patiently
explain what this means, and be done.